Name:          gwenview
Version:       4.14.2
Release:       1mamba
Summary:       A fast and easy to use image viewer application
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://gwenview.sourceforge.net/
Source:        http://download.kde.org/stable/%{version}/src/gwenview-%{version}.tar.xz
License:       GPL
BuildRequires: cmake
BuildRequires: libqt4-devel
BuildRequires: kdelibs4-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdebase4-devel
BuildRequires: kdelibs-devel
BuildRequires: kde-runtime-devel
BuildRequires: libexiv2-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libkipi-devel
BuildRequires: libphonon-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: baloo-devel
BuildRequires: kfilemetadata-devel
Requires:      kdelibs4
Requires:      kdebase-runtime
Provides:      gwenview4
Obsoletes:     gwenview4
Provides:      libgwenview4
Obsoletes:     libgwenview4
Provides:      libgwenview
Obsoletes:     libgwenview
Obsoletes:     libgwenview-devel
Obsoletes:     libgwenview4-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Gwenview is a fast and easy to use image viewer for KDE.

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

rm -f %{buildroot}%{_kde4_libdir}/libgwenviewlib.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%posttrans
/sbin/ldconfig
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%{_kde4_bindir}/gwenview
%{_kde4_bindir}/gwenview_importer
%{_kde4_datadir}/gvpart/gvpart.rc
%dir %{_kde4_datadir}/gwenview
%{_kde4_datadir}/gwenview/cursors/zoom.png
#%{_kde4_datadir}/gwenview/fullscreenthemes/blackglass/checked.png
#%{_kde4_datadir}/gwenview/fullscreenthemes/blackglass/scroll-left.png
#%{_kde4_datadir}/gwenview/fullscreenthemes/blackglass/scroll-right.png
#%{_kde4_datadir}/gwenview/fullscreenthemes/blackglass/style.css
%{_kde4_datadir}/gwenview/gwenviewui.rc
%{_kde4_datadir}/gwenview/color-schemes/fullscreen.colors
%{_kde4_datadir}/gwenview/images/background.png
%{_kde4_datadir}/solid/actions/gwenview_importer_camera.desktop
%{_kde4_datadir}/solid/actions/gwenview_importer.desktop
%doc %lang(en) %{_kde4_htmldir}/en/%{name}
%{_kde4_icondir}/hicolor/*/actions/document-share.png
%{_kde4_icondir}/hicolor/*/apps/gwenview.png
%{_kde4_icondir}/hicolor/scalable/actions/document-share.svgz
%{_kde4_icondir}/hicolor/scalable/apps/gwenview.svgz
%{_kde4_libdir}/kde4/gvpart.so
%{_kde4_libdir}/libgwenviewlib.so*
%{_kde4_servicesdir}/gvpart.desktop
%{_kde4_servicesdir}/ServiceMenus/slideshow.desktop
%{_kde4_xdgappsdir}/gwenview.desktop
%doc COPYING COPYING.DOC NEWS

%changelog
* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Wed Apr 23 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Wed Aug 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.0-2mamba
- rebuilt with libkipi 4.9.0

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sat Jun 09 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Mon Mar 26 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sat Dec 31 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.4-2mamba
- rebuilt against latest exiv2 version

* Sun Dec 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Tue Oct 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- update to 4.7.2

* Tue Sep 13 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
